# Class TextMergeViewerCreator

java.lang.Object
org.eclipse.compare.internal.TextMergeViewerCreator

All Implemented Interfaces:
  `IViewerCreator`

public class TextMergeViewerCreator extends Object implements IViewerCreator
A factory object for the `TextMergeViewer`. This indirection is necessary because only objects with a default constructor can be created via an extension point (this precludes Viewers).

## Constructor Summary

Constructors
Constructor
Description
`TextMergeViewerCreator()`

## Method Summary

Modifier and Type
Method
Description
`Viewer`
`createViewer(Composite parent, CompareConfiguration mp)`
Creates a new viewer under the given SWT parent control.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextMergeViewerCreator

public TextMergeViewerCreator()

## Method Details

### createViewer

public Viewer createViewer(Composite parent, CompareConfiguration mp)
Description copied from interface: `IViewerCreator`
Creates a new viewer under the given SWT parent control.

Specified by:
  `createViewer` in interface `IViewerCreator`
Parameters:
  `parent` - the SWT parent control under which to create the viewer's SWT control
  `mp` - a compare configuration the newly created viewer might want to use
Returns:
  a new viewer